Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto
Class MarshalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.crypto.MarshalException

All Implemented Interfaces:
  java.io.Serializable

    public class MarshalException

extends java.lang.Exception

Indicates an exceptional condition that occured during the XML marshalling or unmarshalling process.

A `MarshalException` can contain a cause: another throwable that caused this `MarshalException` to get thrown.

See Also:
  `XMLSignature.sign(XMLSignContext)`, `XMLSignatureFactory.unmarshalXMLSignature(XMLValidateContext)`, Serialized Form

Constructor Summary
`MarshalException()` Constructs a new `MarshalException` with `null` as its detail message.
`MarshalException(java.lang.String message)` Constructs a new `MarshalException` with the specified detail message.
`MarshalException(java.lang.String message, java.lang.Throwable cause)` Constructs a new `MarshalException` with the specified detail message and cause.
`MarshalException(java.lang.Throwable cause)` Constructs a new `MarshalException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause of this `MarshalException` or `null` if the cause is nonexistent or unknown.
`void` | `printStackTrace()` Prints this `MarshalException`, its backtrace and the cause's backtrace to the standard error stream.
`void` | `printStackTrace(java.io.PrintStream s)` Prints this `MarshalException`, its backtrace and the cause's backtrace to the specified print stream.
`void` | `printStackTrace(java.io.PrintWriter s)` Prints this `MarshalException`, its backtrace and the cause's backtrace to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarshalException

    public MarshalException()

  Constructs a new `MarshalException` with `null` as its detail message.

### MarshalException

    public MarshalException(java.lang.String message)

  Constructs a new `MarshalException` with the specified detail message.

  Parameters:
    `message` - the detail message

### MarshalException

    public MarshalException(java.lang.String message,
                            java.lang.Throwable cause)

  Constructs a new `MarshalException` with the specified detail message and cause.

  Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

  Parameters:
    `message` - the detail message
    `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### MarshalException

    public MarshalException(java.lang.Throwable cause)

  Constructs a new `MarshalException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  Parameters:
    `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the cause of this `MarshalException` or `null` if the cause is nonexistent or unknown. (The cause is the throwable that caused this `MarshalException` to get thrown.)

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    the cause of this `MarshalException` or `null` if the cause is nonexistent or unknown.

### printStackTrace

    public void printStackTrace()

  Prints this `MarshalException`, its backtrace and the cause's backtrace to the standard error stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Prints this `MarshalException`, its backtrace and the cause's backtrace to the specified print stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` - `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Prints this `MarshalException`, its backtrace and the cause's backtrace to the specified print writer.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` - `PrintWriter` to use for output

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org